org.jboss.netty.handler.codec.http

## Class HttpRequestEncoder

- java.lang.Object
- - org.jboss.netty.handler.codec.oneone.OneToOneEncoder
  - - org.jboss.netty.handler.codec.http.HttpMessageEncoder
    - - org.jboss.netty.handler.codec.http.HttpRequestEncoder

All Implemented Interfaces:
  ChannelDownstreamHandler, ChannelHandler

    public class HttpRequestEncoder
    extends HttpMessageEncoder

Encodes an `HttpRequest` or an `HttpChunk` into a `ChannelBuffer`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.channel.ChannelHandler

`ChannelHandler.Sharable`

### Constructor Summary

Constructors
Constructor and Description
`HttpRequestEncoder()` Creates a new instance.

### Method Summary

Methods
`protected void` `encodeInitialLine(ChannelBuffer buf, HttpMessage message)`

### Methods inherited from class org.jboss.netty.handler.codec.http.HttpMessageEncoder

`encode`

### Methods inherited from class org.jboss.netty.handler.codec.oneone.OneToOneEncoder

`handleDownstream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpRequestEncoder

    public HttpRequestEncoder()

Creates a new instance.

### Method Detail

#### encodeInitialLine

    protected void encodeInitialLine(ChannelBuffer buf,
                         HttpMessage message)
                              throws Exception

Specified by:
  `encodeInitialLine` in class `HttpMessageEncoder`
Throws:
  `Exception`